2025-11-06 14.00 UTC - There are currently no active events. All systems operational.

Update Cable Appendix partially

Prev Next
Patch
/cable-appendixes/{id}/

Operation is used to update specific fields in an existing Cable Appendix.

When a Cable Appendix is updated and the loop changes, the Cable's extra_length is automatically adjusted to reflect the difference between the old loop's length and the new loop's length.

Available from product version 2026.1.0.

Security
API Key: Token
Header parameter nameAuthorization

Token issued for API consumer.

Path parameters
id
integerRequired

Id of Cable Appendix to update

Body parameters

Cable Appendix attributes and values to be updated

object

Cable Appendix representation using ids instead of embedded objects or links. Used for creating and updating Cable Appendix records.

A Cable Appendix represents an association between a Cable and a loop. When a CableAppendix is created or updated, the associated loop’s length is automatically added to the Cable’s extra_length. When the association is removed or changed, the corresponding length is removed from the Cable’s extra_length.

cable
integer Required

The id of the Cable associated with this appendix

point
integer Required

The id of the loop associated with this appendix

Responses
200

Object was updated successfully

object

Cable Appendix representation using ids instead of embedded objects or links. Used for creating and updating Cable Appendix records.

A Cable Appendix represents an association between a Cable and a loop. When a CableAppendix is created or updated, the associated loop’s length is automatically added to the Cable’s extra_length. When the association is removed or changed, the corresponding length is removed from the Cable’s extra_length.

cable
integer

The id of the Cable associated with this appendix

id
integer

Primary key

point
integer

The id of the loop associated with this appendix

401

Authentication credentials are missing or invalid

{
  "details": "Authentication credentials were not provided"
}
object
details
string

Detailed description of error

404

Object was not found

{
  "details": "Not found."
}
object
details
string

Detailed description of error